LibreOffice: AccessibleList Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
AccessibleList Service Reference

Accessible lists are used by combo boxes as container for the list items. More...

Inheritance diagram for AccessibleList:

## Included Services
service | com::sun::star::accessibility::AccessibleContext
| This interface gives access to the structural information of a list:

## Exported Interfaces
interface | com::sun::star::accessibility::XAccessibleComponent
interface | com::sun::star::accessibility::XAccessibleExtendedComponent
interface | com::sun::star::accessibility::XAccessible
| Support of the com::sun::star::accessibility::XAccessible interface may be discontinued in the future.
interface | com::sun::star::accessibility::XAccessibleSelection
| This interface gives access to the selectable children of a list.
Exported Interfaces inherited from AccessibleContext
interface | XAccessibleContext
interface | XAccessibleEventBroadcaster
| is implemented by accessible contexts that supports broadcasting of accessible events.

## Additional Inherited Members
Public Member Functions inherited from XAccessibleContext
hyper | getAccessibleChildCount ()
| Return the number of children.
XAccessible | getAccessibleChild ([in] hyper i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object.
XAccessible | getAccessibleParent ()
| Returns the parent of this object.
hyper | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent.
short | getAccessibleRole ()
| Returns the role of this object.
string | getAccessibleDescription ()
| Returns the object's description.
string | getAccessibleName ()
| Return the object's localized name.
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object.
hyper | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object.
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds.
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point.
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object.
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent.
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates.
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box.
void | grabFocus ()
| Grabs the focus to this object.
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object.
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object.
Public Member Functions inherited from XAccessibleExtendedComponent
::com::sun::star::awt::XFont | getFont ()
| Returns the font of this object.
string | getTitledBorderText ()
| Returns the titled border text.
string | getToolTipText ()
| Returns the tool tip text of this object.
Public Member Functions inherited from XAccessible
XAccessibleContext | getAccessibleContext ()
| Returns the AccessibleContext associated with this object.
Public Member Functions inherited from XAccessibleSelection
void | selectAccessibleChild ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Selects the specified Accessible child of the object.
boolean | isAccessibleChildSelected ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Determines if the specified child of this object is selected.
void | clearAccessibleSelection ()
| Clears the selection, so that no children of the object are selected.
void | selectAllAccessibleChildren ()
| Select all children.
hyper | getSelectedAccessibleChildCount ()
| Returns the number of Accessible children that are currently selected.
XAccessible | getSelectedAccessibleChild ([in] hyper nSelectedChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the specified selected Accessible child.
void | deselectAccessibleChild ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Removes the specified child from the set of this object's selected children.
Protected Member Functions inherited from XAccessibleEventBroadcaster
void | addAccessibleEventListener ([in] XAccessibleEventListener xListener)
| registers the given XAccessibleEventListener.
void | removeAccessibleEventListener ([in] XAccessibleEventListener xListener)
| unregisters the given XAccessibleEventListener.

## Detailed Description

Accessible lists are used by combo boxes as container for the list items.

See also
  com::sun::star::accessibility::AccessibleContext
  com::sun::star::accessibility::XAccessibleComponent
  com::sun::star::accessibility::XAccessibleExtendedComponent
  com::sun::star::accessibility::XAccessibleSelection

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ com::sun::star::accessibility::AccessibleContext

service com::sun::star::accessibility::AccessibleContext

This interface gives access to the structural information of a list:

- Role: The role of a list is com::sun::star::accessibility::AccessibleRole::LIST.
- Name: The name of a list is its localized label.
- Description: The description of a list is its localized help text.
- Children: There exists children. Each child is of type com::sun::star::awt::AccessibleListItem.
- Parent: The parent can be of type
  - com::sun::star::awt::AccessibleComboBox
  - com::sun::star::awt::AccessibleListBox
  - com::sun::star::awt::AccessibleDropDownListBox
  - com::sun::star::awt::AccessibleDropDownComboBox
- Relations: There are no relations.
- States: The states supported by this service are
  - com::sun::star::accessibility::AccessibleStateType::DEFUNC is set if the object has already been disposed and subsequent calls to this object result in com::sun::star::lang::DisposedException exceptions.
  - com::sun::star::accessibility::AccessibleStateType::ENABLED is set if the object is enabled.
  - com::sun::star::accessibility::AccessibleStateType::FOCUSABLE is always set.
  - com::sun::star::accessibility::AccessibleStateType::FOCUSED is set if the object currently has the keyboard focus.
  - com::sun::star::accessibility::AccessibleStateType::ACTIVE is set if a child has currently the focus.
  - com::sun::star::accessibility::AccessibleStateType::RESIZABLE is set if the object can be resized.
  - com::sun::star::accessibility::AccessibleStateType::SHOWING is set if the object is displayed on the screen.
  - com::sun::star::accessibility::AccessibleStateType::VISIBLE is always set.
  - com::sun::star::accessibility::AccessibleStateType::MULTI_SELECTABLE is set if the list supports multi selection.
  - com::sun::star::accessibility::AccessibleStateType::MANAGES_DESCENDANTS is always set. The children are transient.

## Exported Interfaces

## ◆ com::sun::star::accessibility::XAccessible

interface com::sun::star::accessibility::XAccessible

Support of the com::sun::star::accessibility::XAccessible interface may be discontinued in the future.

## ◆ com::sun::star::accessibility::XAccessibleComponent

interface com::sun::star::accessibility::XAccessibleComponent

## ◆ com::sun::star::accessibility::XAccessibleExtendedComponent

interface com::sun::star::accessibility::XAccessibleExtendedComponent

## ◆ com::sun::star::accessibility::XAccessibleSelection

interface com::sun::star::accessibility::XAccessibleSelection

This interface gives access to the selectable children of a list.

The documentation for this service was generated from the following file:

- com/sun/star/awt/AccessibleList.idl